<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

class DetailPesanan extends Model
{
    // Pastikan nama tabel benar
    protected $table = 'detail_pesanans';

    // Kolom yang boleh diisi secara massal
    protected $fillable = [
        'pesanan_id', 
        'produk_id', 
        'qty', 
        'harga_satuan', 
        'diskon_per_item', 
        'subtotal'
    ];

    // Relasi: Detail ini milik satu pesanan
    public function pesanan()
    {
        return $this->belongsTo(Pesanan::class, 'pesanan_id');
    }

    // Relasi: Detail ini merujuk ke satu produk
    public function produk()
    {
        return $this->belongsTo(Produk::class, 'produk_id');
    }
}